<?php
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
require_once("../includes/clase_sesion.php");
$sesion=new sesion();
$sesion->set('permiso',permisos($_POST['privilegio']));

require_once("../includes/academia.locale.php");


if(!comprobar_sesion()){
	mensaje($dtsLang[globals][ses_cad],$dtsLang[project][institucion]);
	exit;	
}
if(isset($_GET["accion"]) && $_GET["accion"]=="new"){
	$accion="new";
}else{
	$accion="edit";
}
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Nueva isasistencia</title>
<script type="text/javascript">

$(document).ready(function(e) {
    dts=dTsMaterias.view()
	tam=dts.length;
	opt="";
	for(i=0;i<tam; i++){
		opt+="<option value="+dts[i].id+">"+dts[i].nombre+"</option>";
	}
	$("select#txt_materia_inasis").append(opt);
	
	$("input#txt_fecha_inasis").datepicker();

	tipo=$("#accion").attr('acc');

	if(tipo!='new'){
		$("#oper").val("edit")
		$grid=$("#list_infoEstInasistencia");
		var id = $grid.getGridParam('selrow');
		dt=$grid.getRowData(id);
		$("#id").val(id);
		$("#txt_fecha_inasis").val(dt['fecha']);
		$("#txt_obs_inasis").val(dt['obs']); 
		$("#txt_materia_inasis option[value="+dt['id_mat']+"]").attr("selected",true);
		$("#txt_tipo_falta_inasis option[value="+dt['id_tip']+"]").attr("selected",true);
	}else{
		$("#oper").val("new");
	}
	$gridEst=$("#list_infoEst")
	id = $gridEst.getGridParam('selrow');
	dt=$gridEst.getRowData(id);
	$("#nom_estud").html("<b>"+dt['nom_ape']+"</b>");
	
	$("#accion").click(function(){
		if(tipo=='new'){
			msgexito=dtsLang.globals.newexito;
		}else{
			msgexito=dtsLang.globals.editexito;
		}
		
		var newDt={
			nom_asi:$("#txt_materia_inasis option:selected").text(),	
			tipo:$("#txt_tipo_falta_inasis option:selected").text(),
			fecha:$("#txt_fecha_inasis").val(),
			obs:$("#txt_obs_inasis").val(),
			id_mat:$("#txt_materia_inasis").val()
		}

		var conf={
			url:'mod_inasistencias/opera_inasistencias.php',
			data:$("#new_edit_inasistencia").serialize()+"&periodo="+$("select#md_n_periodo").val(),
			modulo:'inasistencias',
			empresa: dtsLang.project.institucion,
			msg_cmps_oblg:dtsLang.globals.cmpobl, //mensaje campos obligatorios
			msgExito:msgexito,
			msg_espere:dtsLang.globals.msg_espera,	
			id_grilla:'list_infoEstInasistencia'		,
			evento:tipo,
			frm:"#new_edit_inasistencia",
			data_grid:newDt,
		}
		acciones(conf);
	})
	
	
	$(this).bind('cbox_complete',function(){
		$("#txtcc").focus();
	})
	
	$("#txt_fecha_inasis").valida({
		lcapita:false,
		rulers:1,
		mincar:0,
		tipo:'f'
	});
	
});
</script>
</head>

<body>
<div style="margin:8px">
<div id="formInasistencias" class="k-shadow" style="height:auto !important; width:auto !important">
   <div class="k-header k-shadow" style="height:25px !important; text-align:center; line-height:25px" id="nom_estud"></div>
   <form action="" id="new_edit_inasistencia">
     <table border="0">
       <tr>
    <td width="140"><input type="text" name="txt_fecha_falta_f" id="txt_fecha_falta_f"></td>
    <td>
    <select name="txt_tipo_falta_f" id="txt_tipo_falta_f">
    <?php 
		$sql="SELECT ide_tipo_falta,tipo_falta FROM aux_tipos_faltas";
		$academia->instruccion($sql);
		while($reg=$academia->extraer_registro()){
			echo "<option value='".$reg[ide_tipo_falta]."'>".$reg[tipo_falta]."</option>";	
		}
		$academia->liberar();
	?>
    </select></td>
    </tr>
  <tr>
    <td colspan="2"><select name="txt_det_falta_f" id="txt_det_falta_f" style="width:390px !important">
    </select></td>
    </tr>
  <tr>
    <td colspan="2"><textarea style="width:390px !important" class="k-textbox" name="txt_detatlle_f" cols="50" rows="8" id="txt_detatlle_f"></textarea></td>
    </tr>
  <tr>
    <td colspan="2"><textarea style="width:390px !important" class="k-textbox" name="txt_obs_f" cols="50" rows="8" id="txt_obs_f"></textarea></td>
    </tr>
  <tr>
    <td colspan="2" align="center"><input name="id2" type="hidden" id="id2" value="<?php echo $codigo ?>" />
      <input type="hidden" name="oper2" id="oper2" value="<?php echo $accion ?>" />
      <a class="k-button" acc="<?php echo $accion ?>" name="accion"  id="accion2" ><span class="k-icon ui-btn-save"></span></a></td>
  </tr>
</table>
  </form>
</div>
</div>
</body>
</html>